For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLogin
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETDetail
      • DELDelete
LogoLogo
BlogLogin
API Referencedocuments

List

GET
https://api.flockx.io/api/v1/documents
GET
/api/v1/documents
$curl https://api.flockx.io/api/v1/documents \
> -H "Authorization: <apiKey>"
1{
2 "items": [
3 {
4 "id": "foo",
5 "created": "foo",
6 "modified": "foo",
7 "status": "foo",
8 "name": "",
9 "external_id": "foo",
10 "data": {}
11 }
12 ],
13 "meta": {
14 "total": 42,
15 "has_next": true,
16 "has_previous": true,
17 "page": 42
18 }
19}
List all knowledge documents with optional filtering by knowledge graph. Only returns documents owned by the user's organization.
Was this page helpful?
Previous

Create

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

sizeintegerOptional1-100Defaults to 50
pageintegerOptional>=1Defaults to 1
sort_orderenum or nullOptional

Sort order (asc or desc)

Allowed values:
querystring or nullOptionalDefaults to

Response

Successful Response
itemslist of objects
metaobject

Errors

422
Unprocessable Entity Error